Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class DatabaseRowToXMLTranslator

`java.lang.Object
oracle.toplink.xml.DatabaseRowToXMLTranslator`

Direct Known Subclasses:
  DatabaseRowToXMLTranslator

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class DatabaseRowToXMLTranslator
extends java.lang.Object

This class has a singular purpose: convert a `DatabaseRow` to an XML document. Given a `DatabaseRow`, this class will create a corresponding XML DOM element.

Since:
  TOPLink/Java 3.0
See Also:
  `DatabaseRow`, `SDKFieldValue`

Constructor Summary
`DatabaseRowToXMLTranslator()` Deprecated. Default constructor.

Method Summary
`org.w3c.dom.Element` | `createDOM(java.lang.String rootElementName, DatabaseRow row)` Deprecated. Convert the specified database row to an XML document and write it to the specified stream.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseRowToXMLTranslator

    public DatabaseRowToXMLTranslator()

  Deprecated.
  Default constructor.

Method Detail

### toString

    public java.lang.String toString()

  Deprecated.

### createDOM

    public org.w3c.dom.Element createDOM(java.lang.String rootElementName,
                                         DatabaseRow row)
                                  throws XMLDataStoreException

  Deprecated.
  Convert the specified database row to an XML document and write it to the specified stream.
  Throws:
    `XMLDataStoreException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD